# Yahoo! UI Library

### yuitest 2.8.0r4

Yahoo! UI Library > yuitest > DateAssert.js (source view)
Search:
Filters Show Private Show Protected Show Deprecated

    //-----------------------------------------------------------------------------
    // DateAssert object
    //-----------------------------------------------------------------------------

    /**
     * The DateAssert object provides functions to test JavaScript Date objects
     * for a variety of cases.
     *
     * @namespace YAHOO.util
     * @class DateAssert
     * @static
     */

    YAHOO.util.DateAssert = {

        /**
         * Asserts that a date's month, day, and year are equal to another date's.
         * @param {Date} expected The expected date.
         * @param {Date} actual The actual date to test.
         * @param {String} message (Optional) The message to display if the assertion fails.
         * @method datesAreEqual
         * @static
         */
        datesAreEqual : function (expected /*:Date*/, actual /*:Date*/, message /*:String*/){
            if (expected instanceof Date && actual instanceof Date){
                var Assert = YAHOO.util.Assert;
                Assert.areEqual(expected.getFullYear(), actual.getFullYear(), Assert._formatMessage(message, "Years should be equal."));
                Assert.areEqual(expected.getMonth(), actual.getMonth(), Assert._formatMessage(message, "Months should be equal."));
                Assert.areEqual(expected.getDate(), actual.getDate(), Assert._formatMessage(message, "Day of month should be equal."));
            } else {
                throw new TypeError("DateAssert.datesAreEqual(): Expected and actual values must be Date objects.");
            }
        },

        /**
         * Asserts that a date's hour, minutes, and seconds are equal to another date's.
         * @param {Date} expected The expected date.
         * @param {Date} actual The actual date to test.
         * @param {String} message (Optional) The message to display if the assertion fails.
         * @method timesAreEqual
         * @static
         */
        timesAreEqual : function (expected /*:Date*/, actual /*:Date*/, message /*:String*/){
            if (expected instanceof Date && actual instanceof Date){
                var Assert = YAHOO.util.Assert;
                Assert.areEqual(expected.getHours(), actual.getHours(), Assert._formatMessage(message, "Hours should be equal."));
                Assert.areEqual(expected.getMinutes(), actual.getMinutes(), Assert._formatMessage(message, "Minutes should be equal."));
                Assert.areEqual(expected.getSeconds(), actual.getSeconds(), Assert._formatMessage(message, "Seconds should be equal."));
            } else {
                throw new TypeError("DateAssert.timesAreEqual(): Expected and actual values must be Date objects.");
            }
        }

    };

Copyright © 2009 Yahoo! Inc. All rights reserved.